//
//  NSScreen+NGAAdditions.m
//  MarkdownPreview
//
//  Created by Michael Bishop on 10/14/11.
//  Copyright (c) 2011 Numerical Garden LLC. All rights reserved.
//

#import "NSScreen+NGAAdditions.h"

@implementation NSScreen (NGAAdditions)

+(NSRect)frameContainingAllScreens
{
    NSRect finalRect;
    memset(&finalRect, 0, sizeof(finalRect));
    for (NSScreen * screen in [self screens])
        finalRect = NSUnionRect(finalRect, screen.frame);
    return finalRect;
}

@end
