//
//  NGAInvocationAdditions.m
//  P4Menu
//
//  Created by Michael Bishop on 10/5/11.
//  Copyright 2011 Numerical Garden LLC. All rights reserved.
//

#import "NSInvocation+NGAAdditions.h"

@implementation NSInvocation (NGAAdditions)

+(NSInvocation*)invocationWithSelectorName:(NSString*)selectorName target:(id)target
{
    SEL selector = NSSelectorFromString(selectorName);
    NSInvocation * invocation = [NSInvocation invocationWithMethodSignature:[target methodSignatureForSelector:selector]];
    [invocation setSelector:selector];
    [invocation setTarget:target];
    return invocation;
}

@end
